%define debug_package %{nil}

%define name cmpskit

Summary: PostScript type1 fonts: CMPS fonts and AMSPS fonts
Name: cmpskit
Version: 3
Release: 36.fc41
BuildArch: noarch
Source: cmpskit2.tar.gz
Source1: ftp://ftp.riken.go.jp/pub/tex-archive/fonts/cm/ps-type1/bluesky/cmps-unix.tar.gz
Source2: ftp://ftp.riken.go.jp/pub/tex-archive/fonts/amsfonts/ps-type1/amsps-unix.tar.gz
License: distributable
Group: Applications/Publishing
Buildroot: /var/tmp/%{name}-%{release}-root

%description
PostScript type 1 fonts: CMPS (Computer Modern PostScript)
and AMPS (AMSfonts PostScript), 

If you want to use [CMPS|PK] fonts in dvi2ps or dvips, 
Just Type
    root$ dvipsfnt [cmps|pk]
or
    root$ dvi2psfnt [cmps|pk]
Enjoy!

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q -n cmpskit2

%build
%install
TYPE1_FONT_DIR=${RPM_BUILD_ROOT}/usr/share/fonts/default/

# install fonts
mkdir -p ${TYPE1_FONT_DIR}
tar xzvf ${RPM_SOURCE_DIR}/cmps-unix.tar.gz -C ${TYPE1_FONT_DIR}
tar xzvf ${RPM_SOURCE_DIR}/amsps-unix.tar.gz -C ${TYPE1_FONT_DIR}

# prepare sym-link for dvips
TEXFONTDIR=${RPM_BUILD_ROOT}/usr/share/texmf/fonts/type1
mkdir -p ${TEXFONTDIR}
(cd ${TEXFONTDIR}
 ln -s /usr/share/fonts/default/amspsfnt amspsfnt
 ln -s /usr/share/fonts/default/cmpsfont cmpsfont)

# Make Fontmaps 
./cmps.pl ${TYPE1_FONT_DIR}/cmpsfont/mapfiles/psfonts.cm >cmps.map
./cmps.pl ${TYPE1_FONT_DIR}/amspsfnt/mapfiles/psfonts.ams >amsps.map

# install Fontmaps
cp cmps.map $RPM_BUILD_ROOT/usr/share/fonts/default/cmpsfont/mapfiles/
cp amsps.map $RPM_BUILD_ROOT/usr/share/fonts/default/amspsfnt/mapfiles/

# install bin
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin/
install -m 700 fontctl ${RPM_BUILD_ROOT}/usr/sbin/
(cd ${RPM_BUILD_ROOT}/usr/sbin/
	ln -s fontctl dvipsfnt
	ln -s fontctl dvi2psfnt
)

# prepare documents
mkdir cmpsfont amspsfnt
mv ${TYPE1_FONT_DIR}/cmpsfont/READ.ME cmpsfont
mv ${TYPE1_FONT_DIR}/cmpsfont/cmsample.tex cmpsfont
mv ${TYPE1_FONT_DIR}/amspsfnt/READ.ME amspsfnt

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
if [ -L /usr/share/texmf/fonts/type1 ]; then
		rm /usr/share/texmf/fonts/type1
fi

%files
%defattr(-,root,root)
%doc cmpsfont/ amspsfnt/
%dir /usr/share/fonts/default/amspsfnt/
/usr/share/fonts/default/amspsfnt/*
%dir /usr/share/fonts/default/cmpsfont/
/usr/share/fonts/default/cmpsfont/*
/usr/sbin/fontctl
/usr/sbin/dvipsfnt
/usr/sbin/dvi2psfnt
/usr/share/texmf/fonts/type1/*

%changelog
* Sun Apr 28 2002 Masaru Yokoi <masaru@turbolinux.co.jp>
- release and serial num were changed to be upgradable to
  Silverstone from Monza.

* Wed Dec 13 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- add serial

* Mon Aug 14 2000 SL Baur  <steve@turbolinux.co.jp>
- debash

* Mon Jul 17 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- rebuild for TurboLinux

* Wed Jul 28 1999 Jun Nishii <jun@flatout.org>
- release 3
- bug fix in update from version 2

* Wed Jul 28 1999 Jun Nishii <jun@flatout.org>
- release 2
- change directory to /usr/share/fonts/defaut/{cmpsfont,amspsfnt}

* Tue Jul 27 1999 Jun Nishii <jun@flatout.org>
- version 3
- erase symlink to gs-fonts directory
- change font directory to /usr/share/fonts/default/cmps
- build for Vine-1.9

* Thu Nov 7 1998 Jun Nishii <jun@flatout.org>
- first release of version 2
- support dvi2ps and dvips (called by dvi2psfnt and dvipsfnt)

